Qyra
ReferenceUser attributes

Update user attribute

Updates a user attribute

PUT/api/v1/org/attributes/{userAttributeUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
userAttributeUuidstringYesthe UUID for the group to add the user to

Request body

{
  "groups": [
    {
      "value": "string",
      "values": [
        "string"
      ],
      "groupUuid": "string"
    }
  ],
  "users": [
    {
      "value": "string",
      "values": [
        "string"
      ],
      "userUuid": "string"
    }
  ],
  "attributeDefault": [
    "string"
  ],
  "attributeDefaults": [
    "string"
  ],
  "description": "string",
  "name": "string"
}

Responses

200 — Ok

{
  "results": {
    "attributeDefault": "string",
    "attributeDefaults": [
      "string"
    ],
    "groups": [
      {
        "value": "string",
        "values": [
          "string"
        ],
        "groupUuid": "string"
      }
    ],
    "users": [
      {
        "value": "string",
        "values": [
          "string"
        ],
        "email": "string",
        "userUuid": "string"
      }
    ],
    "description": "string",
    "organizationUuid": "string",
    "name": "string",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}